server {
	listen 80;
	server_name jupyter.geumdo.net;
	root html;
	server_tokens off;
    	fastcgi_hide_header X-Powered-By;
 
    	charset utf-8;
    	location = /favicon.ico { access_log off; log_not_found off; }
    	location = /robots.txt  { access_log off; log_not_found off; }
    	##access_log off;
    	access_log /var/log/nginx/gbtp-access.log combined;
    	error_log  /var/log/nginx/gbtp-error.log error;
    	sendfile off;
    	client_max_body_size 100m;
 
    	# Default is HTTP/1, keepalive is only enabled in HTTP/1.1
    	proxy_http_version 1.1;
 
    	# Remove the Connection header if the client sends it,
    	# it could be close to close a keepalive connection
    	proxy_set_header Connection "";
 
    	location / {
 		proxy_pass http://jupyter.geumdo.net:8888;
            	proxy_set_header X-Real-IP $remote_addr;
            	proxy_set_header Host $host;
            	proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            	# WebSocket 설정
            	proxy_http_version     1.1;
            	proxy_set_header      Upgrade "websocket";
            	proxy_set_header      Connection "Upgrade";
            	proxy_read_timeout    86400;
    	}
    	location ~ /\.git {
        	deny all;
    	}
}
